- Aldebaran documentation |
- C++ Libraries |
- index

libalmath 2.8.7.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Functions
AL::qianim::V2::ActuatorCurve Namespace Reference

## Functions
ALMATH_API bool | is_actuatorcurve (const ptree::value_type &val)
ALMATH_API std::string | get_actuator (const ptree &pt)
ALMATH_API void | put_actuator (ptree &pt, const std::string &name)
ALMATH_API int | get_fps (const ptree &pt)
ALMATH_API void | put_fps (ptree &pt, int fps)
ALMATH_API bool | get_mute (const ptree &pt)
ALMATH_API void | put_mute (ptree &pt, bool mute)
ALMATH_API Unit | get_unit (const ptree &pt)
ALMATH_API void | put_unit (ptree &pt, Unit unit)
ALMATH_API optional< const ptree & > | get_key_optional (const ptree &pt, int frame)
ALMATH_API optional< ptree & > | get_key_optional (ptree &pt, int frame)
const ptree & | get_key (const ptree &pt, int frame)
ptree & | get_key (ptree &pt, int frame)
ALMATH_API ptree & | require_key (ptree &pt, int frame)
auto | get_keys (const ptree &pt) -> boost::select_second_const_range< decltype(boost::adaptors::filter(pt, Key::is_key))>
auto | get_keys (ptree &pt) -> boost::select_second_mutable_range< decltype(boost::adaptors::filter(pt, Key::is_key))>
template<typename Scalar >
std::enable_if < std::is_floating_point < Scalar >::value >::type | check_cubic_bezier (const ptree &pt)

## Function Documentation

template<typename Scalar >

std::enable_if<std::is_floating_point<Scalar>::value>::type AL::qianim::V2::ActuatorCurve::check_cubic_bezier | ( | const ptree & | pt | ) |

Definition at line 253 of file qianim.h.

ALMATH_API std::string AL::qianim::V2::ActuatorCurve::get_actuator | ( | const ptree & | pt | ) |

ALMATH_API int AL::qianim::V2::ActuatorCurve::get_fps | ( | const ptree & | pt | ) |

const ptree& AL::qianim::V2::ActuatorCurve::get_key | ( | const ptree & | pt,
|  | int | frame
| ) |  |
| inline

Definition at line 220 of file qianim.h.

ptree& AL::qianim::V2::ActuatorCurve::get_key | ( | ptree & | pt,
|  | int | frame
| ) |  |
| inline

Definition at line 223 of file qianim.h.

ALMATH_API optional<const ptree &> AL::qianim::V2::ActuatorCurve::get_key_optional | ( | const ptree & | pt,
|  | int | frame
| ) |  |

ALMATH_API optional<ptree &> AL::qianim::V2::ActuatorCurve::get_key_optional | ( | ptree & | pt,
|  | int | frame
| ) |  |

auto AL::qianim::V2::ActuatorCurve::get_keys | ( | const ptree & | pt | ) | -> boost::select_second_const_range< decltype(boost::adaptors::filter(pt, Key::is_key))>
| inline

Definition at line 235 of file qianim.h.

auto AL::qianim::V2::ActuatorCurve::get_keys | ( | ptree & | pt | ) | -> boost::select_second_mutable_range< decltype(boost::adaptors::filter(pt, Key::is_key))>
| inline

Definition at line 242 of file qianim.h.

ALMATH_API bool AL::qianim::V2::ActuatorCurve::get_mute | ( | const ptree & | pt | ) |

ALMATH_API Unit AL::qianim::V2::ActuatorCurve::get_unit | ( | const ptree & | pt | ) |

ALMATH_API bool AL::qianim::V2::ActuatorCurve::is_actuatorcurve | ( | const ptree::value_type & | val | ) |

ALMATH_API void AL::qianim::V2::ActuatorCurve::put_actuator | ( | ptree & | pt,
|  | const std::string & | name
| ) |  |

ALMATH_API void AL::qianim::V2::ActuatorCurve::put_fps | ( | ptree & | pt,
|  | int | fps
| ) |  |

ALMATH_API void AL::qianim::V2::ActuatorCurve::put_mute | ( | ptree & | pt,
|  | bool | mute
| ) |  |

ALMATH_API void AL::qianim::V2::ActuatorCurve::put_unit | ( | ptree & | pt,
|  | Unit | unit
| ) |  |

ALMATH_API ptree& AL::qianim::V2::ActuatorCurve::require_key | ( | ptree & | pt,
|  | int | frame
| ) |  |